# Yahoo 商品导出工具

这是一个用于从CSV文件中导出图片的工具，支持本地依赖管理。

## 功能

- 从CSV文件读取商品数据
- 下载商品图片并保存到本地
- 断点续传功能
- 本地依赖管理

## 使用方法

1. 确保CSV文件放在项目根目录下
2. 运行以下命令：

```bash
node app.js
```

第一次运行时，程序会自动创建`package.json`文件并安装所需依赖。

## 依赖

- csv-parse: 用于解析CSV文件
- axios: 用于下载图片

依赖包会被安装在项目目录下的`node_modules`文件夹中。

## 目录结构

```
yahoo-goods-export/
├── app.js             # 程序主文件
├── package.json       # 依赖管理文件(自动生成)
├── node_modules/      # 依赖目录(自动生成)
├── goods/             # 图片保存目录(自动生成)
├── progress.json      # 进度文件(自动生成)
└── 2025-02-07商城商品.csv  # 商品数据CSV文件
``` 